Summary:   Lightweight Directory Access Protocol clients/servers
Name:      openldap
Version:   1.2.1
Release:   1
URL:       http://www.openldap.org/
Source0:   ftp://ftp.openldap.org/pub/openldap-stable/%{name}-%{version}.tgz
Source1:   ldap.init
Patch:     openldap-conf.patch
Copyright: Freely distributable
Group:     Networking
Prereq:    /sbin/chkconfig
BuildRoot: /tmp/%{name}-%{version}-root

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this does not include the slapd interface to X.500 and
therefore does not require the ISODE package. 

%package devel
Summary:  LDAP development files
Group:    Development/Libraries
Requires: openldap

%description devel
Header files and libraries for developing applications that use LDAP.

%package servers
Summary: LDAP servers
Group:   Networking

%description servers
The servers (daemons) that come with LDAP.

%prep
%setup -q -n ldap

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --libexecdir=/usr/sbin \
            --localstatedir=/var/run \
            --sysconfdir=/etc \
            --datadir=/etc \
            --enable-cldap \
            --enable-phonetic \
            --with-kerberos \
            --with-wrappers \
            --enable-shared \
            --with-subdir=ldap

make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/ldap
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 700 $RPM_BUILD_ROOT/var/ldap

make prefix=$RPM_BUILD_ROOT/usr \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     datadir=$RPM_BUILD_ROOT/etc \
     libexecdir=$RPM_BUILD_ROOT/usr/sbin \
     install

# fubarred makefiles
for I in $RPM_BUILD_ROOT/etc/*.conf* \
   $RPM_BUILD_ROOT/etc/*.help* \
   $RPM_BUILD_ROOT/etc/ldapfriendly; do
   sed -e "s,$RPM_BUILD_ROOT,,g" \
   -e "s,/etc,/etc/ldap,g" \
   -e "s,/etc/ldap/ldap,/etc/ldap,g" \
   $I > $RPM_BUILD_ROOT/etc/ldap/`basename $I`
done

for I in $RPM_BUILD_ROOT/usr/man/man1/*; do \
   sed -e "s,$RPM_BUILD_ROOT,,g" \
   -e "s,/etc,/etc/ldap,g" \
   -e "s,/etc/ldap/ldap,/etc/ldap,g" \
   -e "s,/usr/bin,/usr/sbin,g" \
   $I > /tmp/`basename $I`
   mv -f /tmp/`basename $I` $RPM_BUILD_ROOT/usr/man/man1/`basename $I`
done

for I in $RPM_BUILD_ROOT/usr/man/man3/*; do \
   sed -e "s,$RPM_BUILD_ROOT,,g" \
   -e "s,/etc,/etc/ldap,g" \
   -e "s,/etc/ldap/ldap,/etc/ldap,g" \
   -e "s,/usr/bin,/usr/sbin,g" \
   $I > /tmp/`basename $I`
   mv -f /tmp/`basename $I` $RPM_BUILD_ROOT/usr/man/man3/`basename $I`
done

for I in $RPM_BUILD_ROOT/usr/man/man5/*; do \
   sed -e "s,$RPM_BUILD_ROOT,,g" \
   -e "s,/etc,/etc/ldap,g" \
   -e "s,/etc/ldap/ldap,/etc/ldap,g" \
   -e "s,/usr/bin,/usr/sbin,g" \
   $I > /tmp/`basename $I`
   mv -f /tmp/`basename $I` $RPM_BUILD_ROOT/usr/man/man5/`basename $I`
done

for I in $RPM_BUILD_ROOT/usr/man/man8/*; do \
   sed -e "s,$RPM_BUILD_ROOT,,g" \
   -e "s,/etc,/etc/ldap,g" \
   -e "s,/etc/ldap/ldap,/etc/ldap,g" \
   -e "s,/usr/bin,/usr/sbin,g" \
   $I > /tmp/`basename $I`
   mv -f /tmp/`basename $I` $RPM_BUILD_ROOT/usr/man/man8/`basename $I`
done

chmod og-rwx $RPM_BUILD_ROOT/etc/ldap/slapd.conf

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap

echo localhost > $RPM_BUILD_ROOT/etc/ldap/ldapserver

mv -f $RPM_BUILD_ROOT/usr/sbin/xrpcomp $RPM_BUILD_ROOT/usr/bin

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*

strip $RPM_BUILD_ROOT/usr/{*bin/*,lib/lib*.so.*.*.*} ||:

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post servers
chkconfig --add ldap

%postun servers
if [ "$1" = 0 ] ; then
  chkconfig --del ldap
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGES COPYRIGHT INSTALL README
%doc doc/rfc/rfc*
%config /etc/ldap/ldapfilter.conf
%config /etc/ldap/ldapserver
%config /etc/ldap/ldapfriendly
%config /etc/ldap/ldaptemplates.conf
%config /etc/ldap/ldapsearchprefs.conf
%config /etc/ldap/ldap.conf
/usr/bin/*
/usr/lib/lib*.so.*.*.*
%attr(-,root,man) /usr/man/man1/*
%attr(-,root,man) /usr/man/man5/ldapfilter.conf.5
%attr(-,root,man) /usr/man/man5/ldapfriendly.5
%attr(-,root,man) /usr/man/man5/ldapsearchprefs.conf.5
%attr(-,root,man) /usr/man/man5/ldaptemplates.conf.5
%attr(-,root,man) /usr/man/man5/ud.conf.5
%attr(-,root,man) /usr/man/man5/ldap.conf.5

%files devel
%defattr(-,root,root)
/usr/include/*.h
/usr/lib/lib*.a
/usr/lib/lib*.so
%attr(-,root,man) /usr/man/man3/*

%files servers
%defattr(-,root,root)
%config /etc/ldap/slapd.conf
%config /etc/ldap/slapd.oc.conf
%config /etc/ldap/slapd.at.conf
%config /etc/ldap/go500gw.help
%config /etc/ldap/rcpt500.help
%config /etc/rc.d/init.d/ldap
/usr/sbin/*
%attr(-,root,man) /usr/man/man5/ldif.5
%attr(-,root,man) /usr/man/man5/slapd.conf.5
%attr(-,root,man) /usr/man/man5/slapd.replog.5
%attr(-,root,man) /usr/man/man8/*
/var/ldap

%changelog
* Thu Apr 22 1999 Arne Coucheron <arneco@online.no>
  [1.2.1-1]
- using %%{name} and %%{version} macros
- added -q parameter to %setup
- added URL tag
- using chkconfig to activate init script and added Prereq: for it
- devel package requires openldap
- fixed the path names in the man pages
- using %defattr in %files section
- simplified the use %files
- some changes in the init script (check that networking is up etc)